#ifndef XMATERIALTECHNIQUE_H
#define XMATERIALTECHNIQUE_H

#include "xasset.h"
#include "xmaterialpass.h"

#include <QString>

class XMaterialTechnique : public XAsset
{
public:
    explicit XMaterialTechnique();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QString mName;
    int mFlags;
    int mPassCount;
    QVector<XMaterialPass*> mPassArray;
};

#endif // XMATERIALTECHNIQUE_H
